diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/row_security_policies/sql/9.5_plus/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/row_security_policies/sql/9.5_plus/update.sql
index 619f0038d..7fa1e3f40 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/row_security_policies/sql/9.5_plus/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/row_security_policies/sql/9.5_plus/update.sql
@@ -2,7 +2,7 @@
 {## Change policy owner ##}
 {#####################################################}
 {% if data.policyowner and o_data.policyowner != data.policyowner %}
-ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
+ALTER POLICY {{ conn|qtIdent(o_data.name) }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
     TO {{ conn|qtTypeIdent(data.policyowner) }};
 {% endif %}
 
@@ -10,7 +10,7 @@ ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
 {## Change policy using condition ##}
 {#####################################################}
 {% if data.using and o_data.using != data.using %}
-ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
+ALTER POLICY {{ conn|qtIdent(o_data.name) }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
     USING ({{ data.using }});
 {% endif %}
 
@@ -18,7 +18,7 @@ ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
 {## Change policy with check condition ##}
 {#####################################################}
 {% if data.withcheck and o_data.withcheck != data.withcheck %}
-ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
+ALTER POLICY {{ conn|qtIdent(o_data.name) }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
     WITH CHECK ({{ data.withcheck }});
 {% endif %}
 
@@ -26,7 +26,7 @@ ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
 {## Change policy name ##}
 {#####################################################}
 {% if data.name and o_data.name != data.name %}
-ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
+ALTER POLICY {{ conn|qtIdent(o_data.name) }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
     RENAME TO {{ conn|qtIdent(data.name) }};
 {% endif %}
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/row_security_policies/sql/default/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/row_security_policies/sql/default/update.sql
index 619f0038d..7fa1e3f40 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/row_security_policies/sql/default/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/row_security_policies/sql/default/update.sql
@@ -2,7 +2,7 @@
 {## Change policy owner ##}
 {#####################################################}
 {% if data.policyowner and o_data.policyowner != data.policyowner %}
-ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
+ALTER POLICY {{ conn|qtIdent(o_data.name) }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
     TO {{ conn|qtTypeIdent(data.policyowner) }};
 {% endif %}
 
@@ -10,7 +10,7 @@ ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
 {## Change policy using condition ##}
 {#####################################################}
 {% if data.using and o_data.using != data.using %}
-ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
+ALTER POLICY {{ conn|qtIdent(o_data.name) }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
     USING ({{ data.using }});
 {% endif %}
 
@@ -18,7 +18,7 @@ ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
 {## Change policy with check condition ##}
 {#####################################################}
 {% if data.withcheck and o_data.withcheck != data.withcheck %}
-ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
+ALTER POLICY {{ conn|qtIdent(o_data.name) }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
     WITH CHECK ({{ data.withcheck }});
 {% endif %}
 
@@ -26,7 +26,7 @@ ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
 {## Change policy name ##}
 {#####################################################}
 {% if data.name and o_data.name != data.name %}
-ALTER POLICY {{ o_data.name }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
+ALTER POLICY {{ conn|qtIdent(o_data.name) }} ON {{conn|qtIdent(o_data.schema, o_data.table)}}
     RENAME TO {{ conn|qtIdent(data.name) }};
 {% endif %}
 
